Ubuntu – How to get Scilab 6.1.0 working on Ubuntu 20.04 LTS

20.04aptjavapackage-managementscilab

I have installed clean Ubuntu MATE 20.04 LTS and installed Scilab from repository here with

sudo apt-get update
sudo apt-get install scilab

After installation I tried to launch it from GUI (Applications → Other → Scilab) – it does not start.
Then I tried to launch it from terminal with scilab command. Terminal output is as follows:

$ scilab
...
Scilab cannot create Scilab Java Main-Class (we have not been able to find the main Scilab class. Check if the Scilab and thirdparty packages are available).

so it can't find Java again. I reported bug 1870813 about this problem. But as usual there is no reaction from package maintainers.

What should I do to get Scilab 6.1.0 working on Ubuntu 20.04 LTS?

Best Answer

  • It is known that Scilab is working normally in the Ubuntu 20.10, so one can download packages from it and install into the 20.04 LTS system:

    mkdir -p ~/Downloads/scilab
    cd ~/Downloads/scilab
    
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-cli_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-data_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-doc-fr_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-doc-ja_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-doc-pt-br_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-doc_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-full-bin_6.1.0+dfsg1-6build2_amd64.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-include_6.1.0+dfsg1-6build2_amd64.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-minimal-bin_6.1.0+dfsg1-6build2_amd64.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab-test_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/s/scilab/scilab_6.1.0+dfsg1-6build2_all.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/h/hdf5/libhdf5-103-1_1.10.6+repack-2_amd64.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/h/hdf5/libhdf5-hl-100_1.10.6+repack-2_amd64.deb
    wget -c http://archive.ubuntu.com/ubuntu/pool/universe/libm/libmatio/libmatio9_1.5.17-5_amd64.deb
    
    sudo apt-get install ./lib*.deb
    sudo apt-get install ./scilab*.deb
    

    But anyway it is strange method, and the Scilab packages should be fixed on the repository level by its maintainers.